summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2010-11-16 16:01:19 +1100
committerAndrew Bartlett <abartlet@samba.org>2010-11-16 16:01:19 +1100
commitb8631597f579555416dbd87ded3f329051965e8b (patch)
treef67a9852eb99a59370570c016e559af147ec5228 /testprogs
parent4908237403543f6b0e3015637c5c49af47b515b0 (diff)
downloadsamba-b8631597f579555416dbd87ded3f329051965e8b.tar.gz
samba-b8631597f579555416dbd87ded3f329051965e8b.tar.bz2
samba-b8631597f579555416dbd87ded3f329051965e8b.zip
s4-test_kinit Add tests for lowercase realm combinations
This tests that the handling of lowercase realms works in our KDC and libraries. Andrew Bartlett
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_kinit.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/testprogs/blackbox/test_kinit.sh b/testprogs/blackbox/test_kinit.sh
index 3eb2343e88..b3b6eb31af 100755
--- a/testprogs/blackbox/test_kinit.sh
+++ b/testprogs/blackbox/test_kinit.sh
@@ -163,6 +163,10 @@ test_smbclient "Test login with user kerberos ccache" 'ls' -k yes || failed=`exp
KRB5CCNAME="$PREFIX/tmpccache"
export KRB5CCNAME
+lowerrealm=$(echo $REALM | tr '[A-Z]' '[a-z]')
+test_smbclient "Test login with user kerberos lowercase realm" 'ls' -k yes -Unettestuser@$lowerrealm%$NEWUSERPASS || failed=`expr $failed + 1`
+test_smbclient "Test login with user kerberos lowercase realm 2" 'ls' -k yes -Unettestuser@$REALM%$NEWUSERPASS --realm=$lowerrealm || failed=`expr $failed + 1`
+
testit "del user with kerberos ccache" $VALGRIND $samba_tool user delete nettestuser $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
rm -f $KRB5CCNAME